//========================================================================================
//
//	File:				Content.h
//	Release Version:	$ ODF 1 $
//
//	Author:				M.Boetcher
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CONTENT_H
#define CONTENT_H

// ----- FrameWork Includes -----

#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#ifndef FWEXCLIB_H
#include "FWExcLib.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class CButtonPart;
class CAction;

//========================================================================================
//	class CButtonContent
//========================================================================================

class CButtonContent : public FW_CContent
{
  public:
	FW_DECLARE_AUTO(CButtonContent)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CButtonContent(Environment* ev, CButtonPart* part);
	virtual ~CButtonContent();

//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual void		Externalize(Environment* ev,
									 ODStorageUnit* storageUnit,
									 FW_EStorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	Internalize(Environment* ev,
									 ODStorageUnit* storageUnit, 
									 FW_EStorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);

//----------------------------------------------------------------------------------------
//	New API
//
  public:
  	CAction*			GetAction();
  	void				SetAction(CAction* action);

	CAction*			RemoveAction();

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CAction*			fAction;
};

//----------------------------------------------------------------------------------------
// CButtonContent::GetAction
//----------------------------------------------------------------------------------------
inline CAction* CButtonContent::GetAction()
{
	return fAction;
}

#endif
