//========================================================================================
//
//	File:				Select.cpp
//	Release Version:	$ ODF 1 $
//
//	Author:				M.Boetcher
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SELECT_H
#include "Select.h"
#endif

#ifndef PART_H
#include "Part.h"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef ACTIONS_H
#include "Actions.h"
#endif

#ifndef CONTENT_H
#include "Content.h"
#endif

// ----- Framework Includes -----

#ifndef FWPRESEN_H
#include "FWPresen.h"
#endif

// ----- OS Layer -----

#ifndef FWBARRAY_H
#include "FWBArray.h"
#endif

#ifndef FWMEMMGR_H
#include "FWMemMgr.h"
#endif

// ----- OpenDoc Includes -----

#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>
#endif

// ----- Macintosh Includes -----

#if defined(FW_BUILD_MAC) && !defined(__DRAG__)
#include <Drag.h>
#endif

//========================================================================================
//	Runtime information
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment odfbutton
#endif

FW_DEFINE_AUTO(CButtonSelection)
	
//========================================================================================
//	CLASS CButtonSelection
//========================================================================================

//----------------------------------------------------------------------------------------
//	CButtonSelection constructor
//----------------------------------------------------------------------------------------

CButtonSelection::CButtonSelection(Environment* ev, CButtonContent* content) :
	FW_CSelection(ev, FALSE, FALSE),
	fSelectedContent(content)
{
}

//----------------------------------------------------------------------------------------
//	CButtonSelection destructor
//----------------------------------------------------------------------------------------

CButtonSelection::~CButtonSelection()
{
}

//----------------------------------------------------------------------------------------
//	CButtonSelection::CloseSelection
//----------------------------------------------------------------------------------------

void CButtonSelection::CloseSelection(Environment* ev)
{
	// Nothing to do
}

//----------------------------------------------------------------------------------------
//	CButtonSelection::ClearSelection
//----------------------------------------------------------------------------------------

void CButtonSelection::ClearSelection(Environment* ev)
{
	// Nothing to do
}

//----------------------------------------------------------------------------------------
//	CButtonSelection::IsEmpty
//----------------------------------------------------------------------------------------

FW_Boolean CButtonSelection::IsEmpty(Environment* ev) const
{
	return fSelectedContent->GetAction() == NULL;
}

//----------------------------------------------------------------------------------------
//	CButtonSelection::SelectAll
//----------------------------------------------------------------------------------------

void CButtonSelection::SelectAll(Environment* ev)
{
	// Nothing to do
}

//----------------------------------------------------------------------------------------
//	CButtonSelection::GetSelectedContent
//----------------------------------------------------------------------------------------

FW_CContent* CButtonSelection::GetSelectedContent(Environment* ev)
{
	return fSelectedContent;
}

