//	File:		Views.fr
//
//	Contains:	Common (Platform independent) resources for Button part
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

#ifndef FWNOTDEF_H
#include "FWNotDef.h"	 
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

//========================================================================================
// Defines
//========================================================================================

// Define a reference size for the layout (value doesn't matter since it will be adjusted 
// to the actual size of the new frame)

#define H	FW_FIX(10)
#define H1	H + FW_FIX(1)

//========================================================================================
// resource FW_RFrameLayout(kButtonView)
//========================================================================================
// See constants in "FWViews.k", macros & resource types in "FWViews.fr"

resource FW_RFrameLayout(kButtonView)
{
	{ H, H },			// layout size
	{
		FW_RButton
		(
			1,								// view id
			{0, 0, H, H},					// bounds
			FW_kFitToEnclosure,				// binding
			FW_kButtonPressedMsg,			// control message
			FW_kFrameReceiver,				// connect button to its frame 
			0,								// control value
			FW_kPushButton,					// button kind
			FW_SYSTEM_FONT,
			"Button"						// title
		),
		FW_RGrowBox
		(
			2,								// View id
			{H - FW_SBSIZE, H - FW_SBSIZE, H1, H1},	// Bounds
			FW_kGrowBoxBinding				// standard grow box binding
		)
	},
	{}	// No scroller
};

//----------------------------------------------------------------------------
//	Strings
//----------------------------------------------------------------------------

resource FW_kMULTISTRING(kButtonDialogStrings)
{
	kNoAppleScriptMsg, "The attached script cannot be executed because AppleScript is not installed.";
};
